# AdGuard/AdGuard Pro for iOS
> ### Disclaimer
> * AdGuard for iOS is a free app. We believe that all free products should be open source, and AdGuard for iOS is not an exception. Its code can be found in this repository.
> * AdGuard Pro for iOS is also an open source product despite being a paid app. Its code can be found in this repository.
> * Privacy policy: https://adguard.com/privacy/ios.html (Briefly: AdGuard sends only necessary, limited information, e.g. information required for filter updates).

AdGuard for iOS is a Content blocker for Safari browser. It uses the latest ad blocking technology that enables the best filtering quality while still allowing to use multiple filters at the same time.

To get more information and to download AdGuard for iOS, visit our website [https://adguard.com/](https://adguard.com/adguard-ios/overview.html).

AdGuard Pro is an advanced version of AdGuard for iOS that provides access to custom DNS settings. It has multiple applications like ad blocking, parental control and protecting personal data from theft.

To get more information and to download AdGuard Pro for iOS, follow this link [https://adguard.com/](https://adguard.com/adguard-ios-pro/overview.html).

<img src="https://user-images.githubusercontent.com/28860202/37027256-e56f4596-2141-11e8-9d79-3f8a98028b14.png" width="270px"><img src="https://user-images.githubusercontent.com/28860202/37027267-e9cf7534-2141-11e8-89fd-3fc99c3f2c86.png" width="270px"><img src="https://user-images.githubusercontent.com/28860202/37027271-ec5f5972-2141-11e8-884b-038d73fb68ae.png" width="270px">

### How to report an issue?

GitHub can be used to report a bug or to submit a feature request. To do so, go to [this page](https://github.com/AdguardTeam/AdguardForiOS/issues) and click the *New issue* button.

>**Note:** for the filter-related issues (missed ads, false positives etc.) use the [dedicated repository](https://github.com/AdguardTeam/AdguardFilters). 

### Our plans

To see the 'big picture', to watch current progress and to get an idea of approximate dates for upcoming AdGuard for iOS releases, see this page: https://github.com/AdguardTeam/AdguardForiOS/milestones

### Releases

 * AdGuard for iOS latest version: [2.0.5](https://github.com/AdguardTeam/AdguardForiOS/releases/tag/v2.0.5)
 * AdGuard Pro for iOS latest version: [2.1.0](https://github.com/AdguardTeam/AdguardForiOS/releases/tag/v2.1.0-pro)

You can find all AdGuard and AdGuard Pro for iOS releases here: https://github.com/AdguardTeam/AdguardForiOS/releases

### How to become a beta tester?

You can submit an application to participate in AdGuard/AdGuard Pro for iOS beta-testing program. All necessary information on this topic can be found in our [Knowledgebase article](https://kb.adguard.com/en/general/adguard-beta-testing-program#adguardadguard-pro-for-ios).

### Acknowledgements

Adguard for iOS developers would like to express their gratitude for the software that has been used in the development process, without which the AdGuard for iOS would not be possible. See the [full list](https://kb.adguard.com/en/miscellaneous/acknowledgments#ios).
